using MyFTP.Properties;
using System;
using System.ComponentModel;
using System.Drawing;
using System.IO;
using System.Net;
using System.Net.Cache;
using System.Windows.Forms;

namespace MyFTP
{
  public class Form1 : Form
  {
    private IContainer components = (IContainer) null;
    private Label label1;
    private TextBox textBox1;
    private TextBox textBox2;
    private Label label2;
    private TextBox textBox3;
    private Label label3;
    private Button button1;

    public Form1() => this.InitializeComponent();

    private void Button1_Click(object sender, EventArgs e)
    {
      int num1 = (int) MessageBox.Show("Connecting... Please Wait");
      MessageBoxIcon.Asterisk.ToString();
      Settings.Default.host = "ftp://" + this.textBox1.Text;
      Settings.Default.username = this.textBox2.Text;
      Settings.Default.password = this.textBox3.Text;
      try
      {
        FtpWebRequest ftpWebRequest = (FtpWebRequest) WebRequest.Create("ftp://" + this.textBox1.Text);
        ftpWebRequest.Method = "LIST";
        ftpWebRequest.Credentials = (ICredentials) new NetworkCredential(this.textBox2.Text, this.textBox3.Text);
        ftpWebRequest.KeepAlive = false;
        ftpWebRequest.UseBinary = true;
        ftpWebRequest.UsePassive = true;
        ftpWebRequest.CachePolicy = (RequestCachePolicy) new HttpRequestCachePolicy(HttpRequestCacheLevel.CacheIfAvailable);
        FtpWebResponse response = (FtpWebResponse) ftpWebRequest.GetResponse();
        StreamReader streamReader = new StreamReader(response.GetResponseStream());
        Form2.SetValueForText1 = streamReader.ReadToEnd();
        new Form2().Show();
        int num2 = (int) MessageBox.Show("Directory List Complete, status {0}", response.StatusDescription);
        streamReader.Close();
        response.Close();
        this.Hide();
      }
      catch (Exception ex)
      {
        int num2 = (int) MessageBox.Show(ex.Message.ToString());
      }
    }

    private void Form1_Load(object sender, EventArgs e)
    {
    }

    protected override void Dispose(bool disposing)
    {
      if (disposing && this.components != null)
        this.components.Dispose();
      base.Dispose(disposing);
    }

    private void InitializeComponent()
    {
      ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof (Form1));
      this.label1 = new Label();
      this.textBox1 = new TextBox();
      this.textBox2 = new TextBox();
      this.label2 = new Label();
      this.textBox3 = new TextBox();
      this.label3 = new Label();
      this.button1 = new Button();
      this.SuspendLayout();
      this.label1.AutoSize = true;
      this.label1.Location = new Point(12, 22);
      this.label1.Name = "label1";
      this.label1.Size = new Size(56, 13);
      this.label1.TabIndex = 0;
      this.label1.Text = "Host / IP :";
      this.textBox1.Location = new Point(74, 19);
      this.textBox1.Name = "textBox1";
      this.textBox1.Size = new Size(144, 20);
      this.textBox1.TabIndex = 1;
      this.textBox2.Location = new Point(74, 56);
      this.textBox2.Name = "textBox2";
      this.textBox2.Size = new Size(144, 20);
      this.textBox2.TabIndex = 3;
      this.label2.AutoSize = true;
      this.label2.Location = new Point(12, 59);
      this.label2.Name = "label2";
      this.label2.Size = new Size(63, 13);
      this.label2.TabIndex = 2;
      this.label2.Text = "UserName :";
      this.textBox3.Location = new Point(74, 94);
      this.textBox3.Name = "textBox3";
      this.textBox3.PasswordChar = 'x';
      this.textBox3.Size = new Size(144, 20);
      this.textBox3.TabIndex = 5;
      this.label3.AutoSize = true;
      this.label3.Location = new Point(12, 97);
      this.label3.Name = "label3";
      this.label3.Size = new Size(60, 13);
      this.label3.TabIndex = 4;
      this.label3.Text = "Password :";
      this.button1.Location = new Point(74, 131);
      this.button1.Name = "button1";
      this.button1.Size = new Size(75, 23);
      this.button1.TabIndex = 6;
      this.button1.Text = "Connect";
      this.button1.UseVisualStyleBackColor = true;
      this.button1.Click += new EventHandler(this.Button1_Click);
      this.AutoScaleDimensions = new SizeF(6f, 13f);
      this.AutoScaleMode = AutoScaleMode.Font;
      this.ClientSize = new Size(230, 164);
      this.Controls.Add((Control) this.button1);
      this.Controls.Add((Control) this.textBox3);
      this.Controls.Add((Control) this.label3);
      this.Controls.Add((Control) this.textBox2);
      this.Controls.Add((Control) this.label2);
      this.Controls.Add((Control) this.textBox1);
      this.Controls.Add((Control) this.label1);
      this.Icon = (Icon) componentResourceManager.GetObject("$this.Icon");
      this.Name = nameof (Form1);
      this.Text = "MyFTP - Connection Setter";
      this.Load += new EventHandler(this.Form1_Load);
      this.ResumeLayout(false);
      this.PerformLayout();
    }
  }
}