using MyFTP.Properties;
using System;
using System.ComponentModel;
using System.Drawing;
using System.Net;
using System.Windows.Forms;

namespace MyFTP
{
  public class Form3 : Form
  {
    private IContainer components = (IContainer) null;
    private Label label1;
    private TextBox textBox1;
    private Button button1;

    public Form3() => this.InitializeComponent();

    private void Button1_Click(object sender, EventArgs e)
    {
      WebRequest webRequest = WebRequest.Create(Settings.Default.host + "/" + this.textBox1.Text + "/");
      webRequest.Method = "MKD";
      webRequest.Credentials = (ICredentials) new NetworkCredential(Settings.Default.username, Settings.Default.password);
      using (FtpWebResponse response = (FtpWebResponse) webRequest.GetResponse())
      {
        int num = (int) MessageBox.Show(response.StatusDescription);
        this.Close();
      }
    }

    private void TextBox1_TextChanged(object sender, EventArgs e)
    {
    }

    private void Label1_Click(object sender, EventArgs e)
    {
    }

    protected override void Dispose(bool disposing)
    {
      if (disposing && this.components != null)
        this.components.Dispose();
      base.Dispose(disposing);
    }

    private void InitializeComponent()
    {
      ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof (Form3));
      this.label1 = new Label();
      this.textBox1 = new TextBox();
      this.button1 = new Button();
      this.SuspendLayout();
      this.label1.AutoSize = true;
      this.label1.Location = new Point(13, 24);
      this.label1.Name = "label1";
      this.label1.Size = new Size(88, 13);
      this.label1.TabIndex = 0;
      this.label1.Text = "Directory Name :";
      this.label1.Click += new EventHandler(this.Label1_Click);
      this.textBox1.Location = new Point(107, 21);
      this.textBox1.Name = "textBox1";
      this.textBox1.Size = new Size(224, 20);
      this.textBox1.TabIndex = 1;
      this.textBox1.TextChanged += new EventHandler(this.TextBox1_TextChanged);
      this.button1.Location = new Point(337, 19);
      this.button1.Name = "button1";
      this.button1.Size = new Size(92, 23);
      this.button1.TabIndex = 2;
      this.button1.Text = "Create";
      this.button1.UseVisualStyleBackColor = true;
      this.button1.Click += new EventHandler(this.Button1_Click);
      this.AutoScaleDimensions = new SizeF(6f, 13f);
      this.AutoScaleMode = AutoScaleMode.Font;
      this.ClientSize = new Size(437, 53);
      this.Controls.Add((Control) this.button1);
      this.Controls.Add((Control) this.textBox1);
      this.Controls.Add((Control) this.label1);
      this.Icon = (Icon) componentResourceManager.GetObject("$this.Icon");
      this.Name = nameof (Form3);
      this.Text = "Make Dir";
      this.ResumeLayout(false);
      this.PerformLayout();
    }
  }
}