using MyFTP.Properties;
using System;
using System.ComponentModel;
using System.Drawing;
using System.Net;
using System.Windows.Forms;

namespace MyFTP
{
  public class Form4 : Form
  {
    private IContainer components = (IContainer) null;
    private Button button1;
    private TextBox textBox1;
    private Label label1;
    private Button button2;
    private TextBox textBox2;
    private Label label2;

    public Form4() => this.InitializeComponent();

    private void Button1_Click(object sender, EventArgs e)
    {
      WebRequest webRequest = WebRequest.Create(Settings.Default.host + "/" + this.textBox1.Text + "/");
      webRequest.Method = "RMD";
      webRequest.Credentials = (ICredentials) new NetworkCredential(Settings.Default.username, Settings.Default.password);
      using (FtpWebResponse response = (FtpWebResponse) webRequest.GetResponse())
      {
        int num = (int) MessageBox.Show(response.StatusDescription);
        this.Close();
      }
    }

    private void Button2_Click(object sender, EventArgs e)
    {
      WebRequest webRequest = WebRequest.Create(Settings.Default.host + "/" + this.textBox2.Text);
      webRequest.Method = "DELE";
      webRequest.Credentials = (ICredentials) new NetworkCredential(Settings.Default.username, Settings.Default.password);
      using (FtpWebResponse response = (FtpWebResponse) webRequest.GetResponse())
      {
        int num = (int) MessageBox.Show(response.StatusDescription);
        this.Close();
      }
    }

    protected override void Dispose(bool disposing)
    {
      if (disposing && this.components != null)
        this.components.Dispose();
      base.Dispose(disposing);
    }

    private void InitializeComponent()
    {
      ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof (Form4));
      this.button1 = new Button();
      this.textBox1 = new TextBox();
      this.label1 = new Label();
      this.button2 = new Button();
      this.textBox2 = new TextBox();
      this.label2 = new Label();
      this.SuspendLayout();
      this.button1.Location = new Point(332, 10);
      this.button1.Name = "button1";
      this.button1.Size = new Size(92, 23);
      this.button1.TabIndex = 5;
      this.button1.Text = "Remove";
      this.button1.UseVisualStyleBackColor = true;
      this.button1.Click += new EventHandler(this.Button1_Click);
      this.textBox1.Location = new Point(102, 12);
      this.textBox1.Name = "textBox1";
      this.textBox1.Size = new Size(224, 20);
      this.textBox1.TabIndex = 4;
      this.label1.AutoSize = true;
      this.label1.Location = new Point(8, 15);
      this.label1.Name = "label1";
      this.label1.Size = new Size(88, 13);
      this.label1.TabIndex = 3;
      this.label1.Text = "Directory Name :";
      this.button2.Location = new Point(332, 49);
      this.button2.Name = "button2";
      this.button2.Size = new Size(92, 23);
      this.button2.TabIndex = 8;
      this.button2.Text = "Remove";
      this.button2.UseVisualStyleBackColor = true;
      this.button2.Click += new EventHandler(this.Button2_Click);
      this.textBox2.Location = new Point(102, 51);
      this.textBox2.Name = "textBox2";
      this.textBox2.Size = new Size(224, 20);
      this.textBox2.TabIndex = 7;
      this.label2.AutoSize = true;
      this.label2.Location = new Point(8, 54);
      this.label2.Name = "label2";
      this.label2.Size = new Size(87, 13);
      this.label2.TabIndex = 6;
      this.label2.Text = "File Dir + Name :";
      this.AutoScaleDimensions = new SizeF(6f, 13f);
      this.AutoScaleMode = AutoScaleMode.Font;
      this.ClientSize = new Size(433, 83);
      this.Controls.Add((Control) this.button2);
      this.Controls.Add((Control) this.textBox2);
      this.Controls.Add((Control) this.label2);
      this.Controls.Add((Control) this.button1);
      this.Controls.Add((Control) this.textBox1);
      this.Controls.Add((Control) this.label1);
      this.Icon = (Icon) componentResourceManager.GetObject("$this.Icon");
      this.Name = nameof (Form4);
      this.Text = "Remove Dir / File";
      this.ResumeLayout(false);
      this.PerformLayout();
    }
  }
}