using MyFTP.Properties;
using System;
using System.ComponentModel;
using System.Drawing;
using System.Net;
using System.Windows.Forms;

namespace MyFTP
{
  public class Form5 : Form
  {
    private IContainer components = (IContainer) null;
    private TextBox textBox1;
    private Button button1;
    private Label label1;

    public Form5() => this.InitializeComponent();

    private void Button1_Click(object sender, EventArgs e)
    {
      WebRequest webRequest = WebRequest.Create(Settings.Default.host + "/" + this.textBox1.Text);
      webRequest.Method = "RETR";
      webRequest.Credentials = (ICredentials) new NetworkCredential(Settings.Default.username, Settings.Default.password);
      using (FtpWebResponse response = (FtpWebResponse) webRequest.GetResponse())
      {
        int num = (int) MessageBox.Show(response.StatusDescription);
        this.Close();
      }
    }

    protected override void Dispose(bool disposing)
    {
      if (disposing && this.components != null)
        this.components.Dispose();
      base.Dispose(disposing);
    }

    private void InitializeComponent()
    {
      ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof (Form5));
      this.textBox1 = new TextBox();
      this.button1 = new Button();
      this.label1 = new Label();
      this.SuspendLayout();
      this.textBox1.Location = new Point(12, 12);
      this.textBox1.Name = "textBox1";
      this.textBox1.Size = new Size(243, 20);
      this.textBox1.TabIndex = 0;
      this.button1.Location = new Point(261, 12);
      this.button1.Name = "button1";
      this.button1.Size = new Size(75, 23);
      this.button1.TabIndex = 1;
      this.button1.Text = "Download";
      this.button1.UseVisualStyleBackColor = true;
      this.button1.Click += new EventHandler(this.Button1_Click);
      this.label1.AutoSize = true;
      this.label1.Location = new Point(9, 52);
      this.label1.Name = "label1";
      this.label1.Size = new Size(229, 13);
      this.label1.TabIndex = 2;
      this.label1.Text = "*Note Downloads are Saved In C:/myftp/files/";
      this.AutoScaleDimensions = new SizeF(6f, 13f);
      this.AutoScaleMode = AutoScaleMode.Font;
      this.ClientSize = new Size(344, 77);
      this.Controls.Add((Control) this.label1);
      this.Controls.Add((Control) this.button1);
      this.Controls.Add((Control) this.textBox1);
      this.Icon = (Icon) componentResourceManager.GetObject("$this.Icon");
      this.Name = nameof (Form5);
      this.Text = "Download File ";
      this.ResumeLayout(false);
      this.PerformLayout();
    }
  }
}