using MyFTP.Properties;
using System;
using System.ComponentModel;
using System.Drawing;
using System.IO;
using System.Net;
using System.Windows.Forms;

namespace MyFTP
{
  public class Form7 : Form
  {
    private IContainer components = (IContainer) null;
    private ListBox listBox1;
    private Button button1;
    private Button button2;
    private Button button3;
    private OpenFileDialog openFileDialog1;

    public Form7() => this.InitializeComponent();

    private void Button1_Click(object sender, EventArgs e)
    {
      int num = (int) this.openFileDialog1.ShowDialog();
      this.listBox1.Items.Add((object) this.openFileDialog1.FileName);
    }

    private void Button2_Click(object sender, EventArgs e) => this.listBox1.Items.Remove(this.listBox1.SelectedItem);

    private void Button3_Click(object sender, EventArgs e)
    {
      WebRequest webRequest = WebRequest.Create(Settings.Default.host + "/allfilesare.txt");
      webRequest.Method = "STOR";
      webRequest.Credentials = (ICredentials) new NetworkCredential(Settings.Default.username, Settings.Default.password);
      byte[] buffer = new byte[System.IO.File.OpenRead(this.openFileDialog1.FileName).Length];
      Stream requestStream = webRequest.GetRequestStream();
      requestStream.Write(buffer, 0, buffer.Length);
      requestStream.Close();
      using (FtpWebResponse response = (FtpWebResponse) webRequest.GetResponse())
      {
        int num = (int) MessageBox.Show(response.StatusDescription);
      }
    }

    protected override void Dispose(bool disposing)
    {
      if (disposing && this.components != null)
        this.components.Dispose();
      base.Dispose(disposing);
    }

    private void InitializeComponent()
    {
      ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof (Form7));
      this.listBox1 = new ListBox();
      this.button1 = new Button();
      this.button2 = new Button();
      this.button3 = new Button();
      this.openFileDialog1 = new OpenFileDialog();
      this.SuspendLayout();
      this.listBox1.FormattingEnabled = true;
      this.listBox1.Location = new Point(13, 13);
      this.listBox1.Name = "listBox1";
      this.listBox1.Size = new Size(534, 199);
      this.listBox1.TabIndex = 0;
      this.button1.Location = new Point(13, 240);
      this.button1.Name = "button1";
      this.button1.Size = new Size(75, 23);
      this.button1.TabIndex = 1;
      this.button1.Text = "Add Files";
      this.button1.UseVisualStyleBackColor = true;
      this.button1.Click += new EventHandler(this.Button1_Click);
      this.button2.Location = new Point(204, 240);
      this.button2.Name = "button2";
      this.button2.Size = new Size(94, 23);
      this.button2.TabIndex = 2;
      this.button2.Text = "Remove Files";
      this.button2.UseVisualStyleBackColor = true;
      this.button2.Click += new EventHandler(this.Button2_Click);
      this.button3.Location = new Point(453, 240);
      this.button3.Name = "button3";
      this.button3.Size = new Size(94, 23);
      this.button3.TabIndex = 3;
      this.button3.Text = "UPLOAD";
      this.button3.UseVisualStyleBackColor = true;
      this.button3.Click += new EventHandler(this.Button3_Click);
      this.openFileDialog1.FileName = "openFileDialog1";
      this.AutoScaleDimensions = new SizeF(6f, 13f);
      this.AutoScaleMode = AutoScaleMode.Font;
      this.ClientSize = new Size(559, 275);
      this.Controls.Add((Control) this.button3);
      this.Controls.Add((Control) this.button2);
      this.Controls.Add((Control) this.button1);
      this.Controls.Add((Control) this.listBox1);
      this.Icon = (Icon) componentResourceManager.GetObject("$this.Icon");
      this.Name = nameof (Form7);
      this.Text = "Upload Files";
      this.ResumeLayout(false);
    }
  }
}
